#!/usr/bin/env node

var bouncy = require('bouncy')
var LetsEncrypt = process.env.NODE_ENV === 'live'
  ? require('letsencrypt-express')
  : require('letsencrypt-express').testing()

var letsencrypt = LetsEncrypt.create(process.env.SSLCERT_PATH, handler)

bouncy(
  letsencrypt.httpsOptions,
  LetsEncrypt.createAcmeResponder(letsencrypt, handler)
).listen(6984, function () {
  console.log('bouncing 6984 to 5984')
})

function handler (req, bounce) {
  return bounce(5984)
}
